▼ |  | raco: Racket Command-Line Tools

1 | raco make: Compiling Source to Bytecode
2 | raco exe: Creating Stand-Alone Executables
3 | raco distribute: Sharing Stand-Alone Executables
4 | raco planet: Automatic Package Distribution
5 | raco pkg: Package Management
6 | raco setup: Installation Management
7 | raco decompile: Decompiling Bytecode
8 | raco demod: Demodularizing Programs
9 | raco link: Library Collection Links
10 | raco pack: Packing Library Collections
11 | raco unpack: Unpacking Library Collections
12 | raco ctool: Working with C Code
13 | raco test: Run tests
14 | raco docs: Documentation Search
15 | raco expand: Macro Expansion
16 | raco scribble: Building Documentation
17 | Adding a raco Command
18 | Installation Configuration and Search Paths

top ← prev up next →

### 13`` raco test: Run tests

The raco test command requires and runs the test submodule (if any) associated with each path given on the command line. When a path refers to a directory, the tool recursively discovers all files that end in ".rkt" within the directory and runs their test submodules.

The raco test command accepts a few flags:

- -s ‹name› or --submodule ‹name› — Requires the submodule ‹name› rather than test.

- -r or --run-if-absent — Requires the top-level module of a file if the relevant submodule is not present. This is the default mode.

- -x or --no-run-if-absent — Ignores a file if the relevant submodule is not present.

- -c or --collection — Intreprets the arguments as collections where all files should be tested.

- -p or --package — Intreprets the arguments as packages where all files should be tested. (All package scopes are searched for the first, most specific package.)

top ← prev up next →